i2o_iop_find_device
Prev | I2O message devices | Next

## Name

i2o_iop_find_device — Find a I2O device on an I2O controller

## Synopsis

`struct i2o_device * i2o_iop_find_device (` | struct i2o_controller * | c,
| u16 | tid`)`;

## Arguments

`c`

  I2O controller where the I2O device hangs on

`tid`

  TID of the I2O device to search for

## Description

Searches the devices of the I2O controller for a device with TID tid and returns it.

Returns a pointer to the I2O device if found, otherwise NULL.

Prev | Up | Next
i2o_find_iop | Home | i2o_status_get